zpttrf.f(3)

NAME
zpttrf.f

SYNOPSIS

  Functions/Subroutines
subroutine zpttrf (N, D, E, INFO)
ZPTTRF

Function/Subroutine Documentation

  subroutine zpttrf (integer N, double precision, dimension( * ) D, complex*16, dimension( * ) E, integer INFO)

Purpose:

     ZPTTRF computes the L*D*L**H factorization of a complex Hermitian
     positive definite tridiagonal matrix A.  The factorization may also
     be regarded as having the form A = U**H *D*U.

Parameters
    N

              N is INTEGER
              The order of the matrix A.  N >= 0.

    D

              D is DOUBLE PRECISION array, dimension (N)
              On entry, the n diagonal elements of the tridiagonal matrix
              A.  On exit, the n diagonal elements of the diagonal matrix
              D from the L*D*L**H factorization of A.

    E

              E is COMPLEX*16 array, dimension (N-1)
              On entry, the (n-1) subdiagonal elements of the tridiagonal
              matrix A.  On exit, the (n-1) subdiagonal elements of the
              unit bidiagonal factor L from the L*D*L**H factorization of A.
              E can also be regarded as the superdiagonal of the unit
              bidiagonal factor U from the U**H *D*U factorization of A.

    INFO

              INFO is INTEGER
              = 0: successful exit
              < 0: if INFO = -k, the k-th argument had an illegal value
              > 0: if INFO = k, the leading minor of order k is not
                   positive definite; if k < N, the factorization could not
                   be completed, while if k = N, the factorization was
                   completed, but D(N) <= 0.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 91 of file zpttrf.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.